> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token

> Refresh an access token

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml post /users/refresh-token
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /users/refresh-token:
    post:
      tags:
        - Users
      summary: Refresh Token
      description: Refresh an access token
      operationId: users_refresh-token
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                session_id:
                  type: string
                refresh_token:
                  type: string
              required:
                - session_id
                - refresh_token
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Session'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Session:
      title: Session
      type: object
      properties:
        id:
          type: string
        created_at:
          type: string
          format: date-time
        project_id:
          type: string
        user_id:
          type: string
        access_token:
          type: string
        access_token_expires_at:
          type: string
          format: date-time
        refresh_token:
          type: string
        refresh_token_expires_at:
          type: string
          format: date-time
      required:
        - id
        - created_at
        - project_id
        - user_id
        - access_token
        - access_token_expires_at
        - refresh_token
        - refresh_token_expires_at
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error

````